Get Unsubscribe by Email
curl --request GET \
--url https://api.lemlist.com/api/unsubscribes/{email} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.lemlist.com/api/unsubscribes/{email}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.lemlist.com/api/unsubscribes/{email}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://api.lemlist.com/api/unsubscribes/{email}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lemlist.com/api/unsubscribes/{email}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"_id": "uns_ZmzP7K61EMIT9fBSj",
"createdAt": "2023-06-12T10:45:21.367Z",
"value": "john.doe@example.com",
"source": "user"
}No API key providedThe authentication you supplied is incorrectUser linked to this API key is blockedNo user found for this API keyLegacy
Get Unsubscribe by Email
deprecated
Retrieves unsubscribe information for a specific email address.
GET
/
unsubscribes
/
{email}
Get Unsubscribe by Email
keyThis endpoint is legacy. Use Get Unsubscribed Variable instead.
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
Email address to check unsubscribe status
Was this page helpful?